|  | fuzzymatcher.h File Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
fuzzymatcher.h File Reference

RE/flex fuzzy matcher engine. More...

`#include <reflex/matcher.h>`
`#include <reflex/pattern.h>`
Include dependency graph for fuzzymatcher.h:

## Classes

class | reflex::FuzzyMatcher
| RE/flex fuzzy matcher engine class, implements reflex::Matcher fuzzy pattern matching interface with scan, find, split functors and iterators. More...
struct | reflex::FuzzyMatcher::SaveState
| Save state to restore fuzzy matcher state after a second pass. More...
struct | reflex::FuzzyMatcher::BacktrackPoint
| Backtrack point. More...

## Namespaces

| reflex

## Detailed Description

RE/flex fuzzy matcher engine.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt